<script setup lang="ts">
import { ref } from 'vue';
import { useQuasar } from 'quasar';

const $q = useQuasar();

// Références pour le formulaire
const username = ref('');
const email = ref('');
const password = ref('');
const confirmPassword = ref('');

// Fonction de soumission du formulaire
const submitForm = () => {
  if (username.value && email.value && password.value && password.value === confirmPassword.value) {
    $q.notify({
      type: 'positive',
      message: 'Inscription réussie'
    });
  } else {
    $q.notify({
      type: 'negative',
      message: 'Veuillez remplir tous les champs et vérifier que les mots de passe correspondent'
    });
  }
};

// Fonction pour les boutons sociaux (exemple de placeholder)
const socialLogin = (provider: string) => {
  $q.notify({
    type: 'info',
    message: `Inscription avec ${provider} non implémentée`
  });
};
</script>

<template>
  <q-card class="q-pa-md bg-primary" style="min-width: 392px">
    <q-card-section class="text-center">
      <div class="text-h6">Inscription</div>
      <span class="text-caption">Créez un nouveau compte</span>
    </q-card-section>

    <q-card-section>
      <q-input bg-color="white" color="secondary" v-model="username" label="Nom d'utilisateur" filled class="q-mb-md" />
      <q-input bg-color="white" color="secondary" v-model="email" label="Email" type="email" filled class="q-mb-md" />
      <q-input bg-color="white" color="secondary" v-model="password" label="Mot de passe" type="password" filled class="q-mb-md" />
      <q-input bg-color="white" color="secondary" v-model="confirmPassword" label="Confirmer le mot de passe" type="password" filled />
    </q-card-section>

    <q-card-actions align="center">
      <q-btn label="S'inscrire" color="secondary" @click="submitForm" />
    </q-card-actions>
    <div class="text-center">
      <a href="/#/login" class="text-accent">Déjà un compte ? Connectez-vous</a>
    </div>

    <q-card-section class="text-center q-mt-md">
      <div class="row items-center">
        <q-separator horizontal color="secondary" size="2" class="col" />
        <div class="text-subtitle1 q-mx-lg text-uppercase">Ou continuer avec</div>
        <q-separator horizontal color="secondary" size="2" class="col" />
      </div>
    </q-card-section>
    <q-card-section class="text-center">
      <q-btn-group spread>
        <q-btn round color="red" text-color="white" @click="socialLogin('Google')">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 488 512" fill="currentColor" width="24" height="24">
            <path d="M488 261.8C488 403.3 391.1 504 248 504 110.8 504 0 393.2 0 256S110.8 8 248 8c66.8 0 123 24.5 166.3 64.9l-67.5 64.9C258.5 52.6 94.3 116.6 94.3 256c0 86.5 69.1 156.6 153.7 156.6 98.2 0 135-70.4 140.8-106.9H248v-85.3h236.1c2.3 12.7 3.9 24.9 3.9 41.4z" />
          </svg>
        </q-btn>
        <q-btn round color="blue" icon="facebook" @click="socialLogin('Facebook')" />
        <q-btn round color="purple" icon="discord" @click="socialLogin('Discord')" />
      </q-btn-group>
    </q-card-section>
  </q-card>
</template>

<style scoped>
.q-card {
  max-width: 400px;
  margin: auto;
}

.text-center {
  text-align: center;
}

.q-mt-md {
  margin-top: 1rem;
}

.q-mb-md {
  margin-bottom: 1rem;
}
</style>
